<bugID>905450<Summary>Blackbox individual functions</Summary><Description>Sometimes you don't want to blackbox a whole source, but just a specific function. We could do something like

  function someFunc() {
    // ... do stuff somehow, we don't care it's a black box ...
  }
  someFunc.blackbox = true;

and someFunc would be considered black boxed.

Question: is it only the assigned function, or does this propagate like strict mode does? Would be fairly easy to implement either way (just walk the env chain for the latter option).</Description></bugID>